//
//  GameScene.h
//  RedCore2
//
//  Created by Gabriel Capella on 31/05/17.
//
//

#ifndef GameScene_h
#define GameScene_h

#include "cocos2d.h"

class GameScene : public cocos2d::Layer {
    public:
        static cocos2d::Scene* createScene(int level);
        virtual bool init();
        bool onContactBegin(cocos2d::PhysicsContact& contact);
        CREATE_FUNC(GameScene);
        void setLevel(int level);
    private:
        void ball_collision (cocos2d::Node *ball);
        void ball_core (cocos2d::Node *core, cocos2d::Node *ball);
        void NextLevel(cocos2d::Ref *pSender);
        int level;
        void saveLevel ();
        void tripleBalls();
        bool over; // salva se o jogo acabou!
        int ball_count;
};


#endif /* GameScene_h */
